Bug 1466054 - bump epoch in RHCEPH 3.0 layered product
bump epoch in RHCEPH 3.0 layered product
Status: VERIFIED
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Build (Show other bugs)
3.0
Unspecified Unspecified
urgent Severity urgent
: rc
: 3.0
Assigned To: Ken Dreyer (Red Hat)
Parikshith
:
Depends On:
Blocks: 1466057 1466056
  Show dependency treegraph
 
Reported: 2017-06-28 17:53 EDT by Ken Dreyer (Red Hat)
Modified: 2017-10-06 03:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHEL: ceph-12.1.2-1.el7cp
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1466056 1466057 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 20508 None None None 2017-07-05 11:55 EDT

  None (edit)
Description Ken Dreyer (Red Hat) 2017-06-28 17:53:30 EDT
Description of problem:
RHEL Base ships one version of Ceph (Hammer), and the RH Ceph Storage layered product ships other versions of Ceph.

Sometimes these versions do not align. If a customer is on an older layered product version, and we add a newer version to RHEL base, this will break that customer's setup. The only workaround is to upgrade prematurely.

Version-Release number of selected component (if applicable):
RHCEPH 1.3, 2.3, 3.0

Steps to Reproduce:
1. Install RHCEPH 1.3 (eg. ceph-mon-0.94.something)
2. Enable a RHEL 7 Base repo that includes a newer ceph-common update.
One example is http://download.engineering.redhat.com/released/RHEL-7/7.4-Beta/Server/x86_64/os/ , which has has ceph-common-10.2.something
3. Run yum update

Actual results:
Yum errors

Expected results:
Yum does not error and does not attempt to replace the customer's RHCEPH 1.3 packages.

Additional info:
To handle this, we are going to bump the ceph package's epoch across all RHCEPH product versions. This will make RHCEPH's builds always override RHEL Base (and even upstream).
Comment 3 Ken Dreyer (Red Hat) 2017-06-28 18:00:23 EDT
QE team: to verify this bugfix in RHCEPH 3:

1. Sanity test installs and upgrades:

  Basic installs must succeed on RHEL 7.4 and 7.5
  Upgrades from RHCEPH 2 to RHCEPH 3 must succeed on RHEL 7.4 and 7.5

2. Examine the package's epoch with "--qf":

  rpm -q ceph-common --qf "%{epoch}:%{name}-%{version}-%{release}\n"

It should print "2:ceph-common" for the RHCEPH layered product's packages, and "1:ceph-common" for RHEL Base's packages.

Note You need to log in before you can comment on or make changes to this bug.